Commit dc2d79ae authored by Ralf Habacker's avatar Ralf Habacker
Browse files

Correct minimum xmi file version

According to https://www.omg.org/spec/UML/20010967/01-02-16.dtd
UML 1.4 uses file version 1.1.

CCBUG:56184
parent 909983ca
......@@ -2356,7 +2356,7 @@ bool UMLDoc::loadFromXMI1(QIODevice & file, short encode)
if (versionString.isEmpty())
versionString = root.attribute(QLatin1String("xmi:version"));
double version = versionString.toDouble();
if (version < 1.2) {
if (version < 1.1) {
QString error = i18n("Unsupported xmi file version: %1", versionString);
m_d->errors << error;
DEBUG(DBG_SRC) << error;
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment